package com.goafanti.cognizance.service;

import java.util.List;

import com.goafanti.cognizance.bo.AnnualReportPropertyRightBo;
import com.goafanti.cognizance.bo.OrgIntellectualPropertyDetailBo;
import com.goafanti.common.model.OrgIntellectualProperty;
import com.goafanti.core.mybatis.page.Pagination;

public interface OrgIntellectualPropertyService {

	OrgIntellectualProperty insert(OrgIntellectualProperty orgIntellectualProperty);

	Pagination<OrgIntellectualProperty> listIntellectual(Integer pNo, Integer pSize, String userId, String startDate, String endDate );

	int delete(String id);

	int deleteByPrimaryKey(List<String> id);

	int updateByPrimaryKeySelective(OrgIntellectualProperty orgIntellectualProperty);

	OrgIntellectualProperty selectOrgIntellectualPropertyByPid(String id);

	OrgIntellectualProperty selectByPrimaryKey(String id);

	OrgIntellectualPropertyDetailBo selectPatentTypeDetail(String id);

	OrgIntellectualPropertyDetailBo selectCopyrightTypeDetail(String id);

	AnnualReportPropertyRightBo selectIntellectualPropertyCount(Integer year, String uid);

	List<OrgIntellectualProperty> selectIntellectualPropertyList(Integer year, String uid);

	OrgIntellectualProperty findByUidAndIntellectualPropertyNumber(String userId, String intellectualPropertyNumber);

}
